﻿
*, ::after, ::before {
    box-sizing: border-box;
    font-family: Arial; 
}

body {
    direction: rtl;
    font-size: 14px;
}

.fg-row {
    margin-bottom:1rem;
    display: flex;
    flex-wrap: wrap;
    margin-left: -15px;
    align-items: baseline;
    width: 100%;
}

.fg-required:before {
    content: "*";
    color: red;
    /*font-weight:bold;*/
    text-indent: -8px;
}

.HalfRow.fg-required:before {
    display: inline-block;
}

.form-generator {
    margin-top: 10px;
    width: 100%;
    /* padding-right: 15px; */
    /* padding-left: 15px; */
    margin-right: auto;
    margin-left: auto;
    border: 0;
    /* border-radius: 5px; */
    padding-top: 20px;
    padding-bottom: 20px;
    background-color: #fff;
    transition: .25s linear all;
    -webkit-box-shadow: 0 0 15px rgba(0,0,0,0.22);
    padding: 30px;
}

    .form-generator.fg-sent {
        transform: scale(0);
    }

.fg-form-control:not([type="checkbox"]), .inputAdresses {
    display: block;
    width: 100%;
    padding: .375rem .75rem;
    font-size: 1rem;
    line-height: 1.5;
    color: #495057;
    background-color: transparent;
    background-clip: padding-box;
    border: 0;
    border-radius: 0;
    transition: border-color .15s;
    text-overflow: ellipsis;
    /* border-bottom: solid 2px gray; */
    outline: none;
    /* border: solid 1px #E1E1E1; */
    /* border-bottom: solid 2px #C0C0C0; */
    -webkit-box-shadow: 0 0 5px rgba(0,0,0,0.22);
    font-size: calc(0.75rem + .2vw);
    border: solid 1px #B0DAEC;
    -webkit-box-shadow: 0 0 5px rgba(29,92,120,.22);
}

.fg-form-control[type="checkbox"] {
    transition: outline .15s;
}

.fg-field-img {
    max-height: 200px;
    display: block;
    max-width: 100%;
    margin: 0 auto;
}

.fg-title {
    text-align: center;
    padding: 10px;
}

    .fg-title label {
        /*text-decoration: underline;*/
        font-size: calc(1rem + .2vw) !important;
    }

/*.form-wrapper{
            width:100%;
            display:flex;
        }*/
.form-generator h1 {
    text-decoration: underline;
    text-align: center;
    font-family: Arial;
    margin-top: 0px;
}

.form-generator label {
    font-weight: bold;
    font-size: calc(0.75rem + .2vw);
    font-family: Arial;
}

.fg-col-12 {
    flex: 0 0 100%;
    max-width: 100%;
    position: relative;
    width: 100%;
    min-height: 1px;
    padding-right: 15px;
    padding-left: 15px;
}


.fg-btn {
    cursor: pointer;
    box-shadow: none;
    outline: none;
    display: inline-block;
    font-weight: 400;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    border: 1px solid transparent;
    padding: .375rem .75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: .25rem;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    background-color: #828282;
    color: white;
}

    .fg-btn:hover {
        background-color: #5d5d5d;
    }

.fg-content-end {
    justify-content: flex-end;
}

.fg-fix-end {
    min-height: 1px;
    padding-right: 15px;
    padding-left: 15px;
}

.fg-text-right {
    text-align: right !important;
}

.fg-fix-padding {
    padding-right: 15px;
    padding-left: 15px;
}

:not([type='checkbox']).fg-must-fill {
    border: 1px solid red !important;
}



[type='checkbox'].fg-must-fill {
    outline: 1px solid red;
}

/* Msg Box */
.fg-msg-box {
    direction: rtl;
    font-family: Arial;
    background-color: #ffffff;
    padding: 10px;
    border-radius: 5px;
    color: black;
    box-shadow: 0px 0px 75px -10px black;
    margin: 0 auto;
    display: inline-block;
    max-width: 50%;
    font-weight: bold;
    font-size: 20px;
}

.fg-msgbox-container {
    position: fixed;
    top: 105px;
    /*margin:0 auto;*/
    text-align: center;
    width: 100%;
    z-index: 9999999;
    pointer-events: none;
    opacity: 0 !important;
    transition: all .5s ease-in-out;
}

.fg-error {
    color: white;
    background: red;
}

.fg-success {
    color: white;
    background: #008000;
}

.fg-alert {
    color: white;
    background: #ffb400;
}

.fg-show {
    opacity: 1 !important;
}

.fg-hidden {
    display: none !important;
}

/* End Msg Box*/

@media (min-width: 576px) {

    .form-generator {
        max-width: 540px;
    }

    .fg-sm-col-2 {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 16.666667%;
        flex: 0 0 20.666667%;
        max-width: 16.666667%;
        position: relative;
        width: 100%;
        min-height: 1px;
        padding-right: 15px;
        padding-left: 15px;
    }

    .fg-sm-col-10 {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 0.333333%;
        flex: 0 0 83.333333%;
        max-width: 73.333333%;
        position: relative;
        width: 100%;
        min-height: 1px;
        padding-right: 15px;
        padding-left: 15px;
    }
}

@media (min-width: 768px) {
    .form-generator {
        max-width: 720px;
    }
}

@media (min-width: 992px) {
    .form-generator {
        max-width: 960px;
    }
}

@media (min-width: 1200px) {
    .form-generator {
        max-width: 1140px;
    }
}

datalist {
    display: none !important;
}

@media (min-width: 576px) {
    .fg-row.HalfRow {
        display: inline-block;
        width: 46%;
        margin-left: 20px;
    }

    .HalfRow .fg-col-12.fg-sm-col-10, .HalfRow .fg-col-12.fg-sm-col-2 {
        display: inline-block;
    }


    .HalfRow .fg-col-12.fg-sm-col-10 {
        max-width: 59.333333%;
    }

    .HalfRow .fg-col-12.fg-sm-col-2 {
        max-width: 39.333333%;
    }
}

.fg-row[disp="0"] {
    display:none;
}


.link_form {
    font-size: 19px;
    cursor:pointer;
    color: blue;
}